Subject: Re: linux-next: xfs tree build failure

From: Dave Chinner <[email-masked]>
Date: Thu, 30 Oct 2008 20:08:32 +1100

On Thu, Oct 30, 2008 at 01:23:24PM +1100, Stephen Rothwell wrote:
> Hi David,
> 
> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
> 
> ERROR: "inode_wait" [fs/xfs/xfs.ko] undefined!
> 
> Caused by commit 676a7711ee281c3bf41db18e29e296584de82793 ("[XFS] Fix
> race when looking up reclaimable inodes") which introduced a use of
> wait_on_inode() which is an inline that calls inode_wait().

Putting a non-exported symbol in an inline function in a header file
that is full of exported functions.  That's pretty anti-social. ;)

> I applied the following patch (probably wrong :-)).

I think it's probably the only solution - we need to wait until
the I_LOCK bit is cleared from the inode and AFAICT wait_on_inode()
is the only way to do it.

Christoph?

Cheers,

Dave.
-- 
Dave Chinner
[email-masked]